## org.eclipse.jst.jsf.common.sets.mapping
Interface AxiomaticSetMapping

All Known Subinterfaces:
  ObjectInjectiveSetMapping

All Known Implementing Classes:
  AbstractObjectInjectiveSetMapping, ElementToTagIdentifierMapping

    public interface AxiomaticSetMapping

Defines an axiomatic mapping from set to another. In formal notation, this may also be defined as a "function" or a "proposition". Applying the map method can be seen as being equivalent to: AxiomaticSetMapping: set -> map(set)

Provisional API - subject to change

Method Summary
`AxiomaticSet` `map(AxiomaticSet set)`

Method Detail

### map

    AxiomaticSet map(AxiomaticSet set)

  Parameters:
    `set` -
  Returns:
    the new set resulting from applying the map to set